// appointment.ts
class Appointment {
    private _idAppointment?: number;
    private _appointmentDate?: string;
    private _appointmentTime?: string;
    private _appointmentDuration?: string;
    private _appointmentPlace?: string;
    private _appointmentSubject?: string;

    constructor(data: Partial<Appointment> = {}) {
        this._idAppointment = data.idAppointment;
        this._appointmentDate = data.appointmentDate;
        this._appointmentTime = data.appointmentTime;
        this._appointmentDuration = data.appointmentDuration;
        this._appointmentPlace = data.appointmentPlace;
        this._appointmentSubject = data.appointmentSubject;
    }

    get idAppointment(): number | undefined {
        return this._idAppointment;
    }

    set idAppointment(value: number | undefined) {
        this._idAppointment = value;
    }

    get appointmentDate(): string | undefined {
        return this._appointmentDate;
    }

    set appointmentDate(value: string | undefined) {
        this._appointmentDate = value;
    }

    get appointmentTime(): string | undefined {
        return this._appointmentTime;
    }

    set appointmentTime(value: string | undefined) {
        this._appointmentTime = value;
    }

    get appointmentDuration(): string | undefined {
        return this._appointmentDuration;
    }

    set appointmentDuration(value: string | undefined) {
        this._appointmentDuration = value;
    }

    get appointmentPlace(): string | undefined {
        return this._appointmentPlace;
    }

    set appointmentPlace(value: string | undefined) {
        this._appointmentPlace = value;
    }

    get appointmentSubject(): string | undefined {
        return this._appointmentSubject;
    }

    set appointmentSubject(value: string | undefined) {
        this._appointmentSubject = value;
    }

    toObject() {
        return {
            idAppointment: this.idAppointment,
            appointmentDate: this.appointmentDate,
            appointmentTime: this.appointmentTime,
            appointmentDuration: this.appointmentDuration,
            appointmentPlace: this.appointmentPlace,
            appointmentSubject: this.appointmentSubject,
        };
    }
}

export default Appointment;
