// joinRequestDecision.ts
class JoinRequestDecision {
    private _isAccepted?: boolean;

    constructor(data: Partial<JoinRequestDecision> = {}) {
        this._isAccepted = data.isAccepted;
    }

    get isAccepted(): boolean | undefined {
        return this._isAccepted;
    }

    set isAccepted(value: boolean | undefined) {
        this._isAccepted = value;
    }

    toObject() {
        return {
            isAccepted: this._isAccepted,
        };
    }
}

export default JoinRequestDecision;
